      subroutine setprob
      implicit double precision (a-h,o-z)
      common /comic/ x1,y1,z1
      common /comsphere/ Rsphere
      common /sw/  g
c
      open(unit=7,file='setprob.data',status='old',form='formatted')
c
c     # radius of sphere:
      Rsphere = 1.d0
c
c     # graviational constant
      g = 1.d0

c     # center of patch for initial data specified in qinit.f
c     # Note: specified in longitude - latitude!
      read(7,*) xc1,yc1
      r = Rsphere * dcos(yc1)
      z1 = Rsphere * dsin(yc1)
      x1 = r * dcos(xc1)
      y1 = r * dsin(xc1)

      return
      end
